function imS = computeAuxVals(images, imdir, segWinSize, orientationWinSize)
% Pocita zakladni priznaky z obrazku, vystupem je pole struktur obsahujici tyto
% priznaky
%
%   imS = computeAuxVals(images, imdir, segWinSize, orientationWinSize)
%
%       vstupy: images - cell array obsahujici jmena obrazku
%               imdir - nazev adresare s obrazky
%               segWinSize - velikost okna pro segmentaci otisku (default 12)
%               orientationWinSize - velikost okna pro pocitani
%                  orientacniho pole (default 15)

if ~exist('segWinSize', 'var'), segWinSize = []; end
if isempty(segWinSize), segWinSize = 12; end
if ~exist('orientationWinSize', 'var'), orientationWinSize = []; end
if isempty(orientationWinSize), orientationWinSize = 15; end

for m = 1 : length(images)
    im = imread([imdir '/' images{m}]);
    imS(m) = auxiliaryValues(im, images{m}, segWinSize, orientationWinSize);
end